declare class VisaAPI {
    private axios;
    private apiUrl;
    private partnerId;
    private secret;
    private proxyURL;
    private token;
    constructor(apiUrl: string, proxyURL: string);
    private generateSignature;
    private getAccessToken;
    fetchAuthTokenWithBearer(): Promise<any>;
}
export default VisaAPI;
